Which Ubuntu do you use? [Poll]

General discussion regarding the OpenMW project.
For technical support, please use the Support subforum.
Post Reply

Which version of Ubuntu do you use?

Focal (20.04) [not yet released]
3
17%
Eoan (19.10)
5
28%
Bionic (18.04)
9
50%
Xenial (16.04)
1
6%
Trusty (14.04)
0
No votes
 
Total votes: 18

User avatar
psi29a
Posts: 4917
Joined: 29 Sep 2011, 10:13
Location: Belgium
Gitlab profile: https://gitlab.com/psi29a/
Contact:

Which Ubuntu do you use? [Poll]

Post by psi29a » 17 Apr 2020, 11:05

Making a poll to track who uses what non EoL releases of Ubuntu.

If you use a spin-off distro like Linux Mint; please vote accordingly.

Code: Select all

19.3	Tricia	Ubuntu Bionic	Long term support release (LTS), supported until April 2023.
19.2	Tina	Ubuntu Bionic	Long term support release (LTS), supported until April 2023.
19.1	Tessa	Ubuntu Bionic	Long term support release (LTS), supported until April 2023.
19	Tara	Ubuntu Bionic	Long term support release (LTS), supported until April 2023.
18.3	Sylvia	Ubuntu Xenial	Long term support release (LTS), supported until April 2021.
18.2	Sonya	Ubuntu Xenial	Long term support release (LTS), supported until April 2021.
18.1	Serena	Ubuntu Xenial	Long term support release (LTS), supported until April 2021.
18	Sarah	Ubuntu Xenial	Long term support release (LTS), supported until April 2021.

jmelesky
Posts: 45
Joined: 02 Mar 2017, 20:52

Re: Which Ubuntu do you use? [Poll]

Post by jmelesky » 18 Apr 2020, 18:21

Are we worried about people who use non-Ubuntu-derived distros?

User avatar
psi29a
Posts: 4917
Joined: 29 Sep 2011, 10:13
Location: Belgium
Gitlab profile: https://gitlab.com/psi29a/
Contact:

Re: Which Ubuntu do you use? [Poll]

Post by psi29a » 19 Apr 2020, 00:22

jmelesky wrote:
18 Apr 2020, 18:21
Are we worried about people who use non-Ubuntu-derived distros?
Like Debian? 8-)

Every once in awhile we have FreeBSD, Gentoo, Arch, RH and SuSE people dropping in... but for the most part they do their own thing. I'm only particular to Deb based distros becomes I'm a downstream Debian Dev/Maintainer and upstream (OpenMW) developer. I just want to know my audience.

Nothing against other OSes and distros though, more the merrier and hopefully someone steps up to fill the gaps. :) I can liaison if needed.

Loriel
Posts: 159
Joined: 28 May 2015, 00:44

Re: Which Ubuntu do you use? [Poll]

Post by Loriel » 26 Apr 2020, 18:07

I updated today from 19.10 to 20.04. So one of the 19.10s in the above poll has already been moved to 20.04.

Two issues regarding OpenMW, which I list here for the benefit of anybody else striking similar problems:

Removal of qt4 by Ubuntu
Solved by using "cmake -D DESIRED_QT_VERSION=5 ../", then using a symbolic link to fix the missing dependency

Openscenegraph
Previously I had used the recommended version (3.4-dev I think) which I probably picked up from the openmw/openmw ppa. This no longer seems to be available, so I added the version from the default Ubuntu repository (appears to be 3.6.5).

Is it worth extending the Wiki's Development Environment Setup page to cover this? I would be happy to do that, after somebody checks my suggestions.

Loriel

User avatar
psi29a
Posts: 4917
Joined: 29 Sep 2011, 10:13
Location: Belgium
Gitlab profile: https://gitlab.com/psi29a/
Contact:

Re: Which Ubuntu do you use? [Poll]

Post by psi29a » 26 Apr 2020, 21:31

20.04 is in a bad shape... OSG 3.4 was removed and OSG was updated from 3.2 to 3.6.4... 3.6.4 is busted and doesn't work with OpenMW. You'll need OSG 3.6.5 from our PPA to fix.

Post Reply